# AbstractToken

> Implementation of the {IERC20} interface.

## Contents

## Globals

| Var      | Type             |
| -------- | ---------------- |
| name     | string           |
| symbol   | string           |
| decimals | uint8            |
| config   | contract IConfig |

## Functions

### constructor

No description

**Declaration:**

```solidity
  function constructor(
  ) public
```

**Modifiers:** No modifiers

### totalSupply

No description

**Declaration:**

```solidity
  function totalSupply(
  ) public returns (uint256)
```

**Modifiers:** No modifiers

### balanceOf

No description

**Declaration:**

```solidity
  function balanceOf(
  ) public returns (uint256)
```

**Modifiers:** No modifiers

### transfer

No description

**Declaration:**

```solidity
  function transfer(
  ) public returns (bool)
```

**Modifiers:** No modifiers

### allowance

No description

**Declaration:**

```solidity
  function allowance(
  ) public returns (uint256)
```

**Modifiers:** No modifiers

### approve

No description

**Declaration:**

```solidity
  function approve(
  ) public returns (bool)
```

**Modifiers:** No modifiers

### transferFrom

No description

**Declaration:**

```solidity
  function transferFrom(
  ) public returns (bool)
```

**Modifiers:** No modifiers


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rei.network/developer/system-contracts/abstracttoken.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
